# Process this file with autoconf to produce a configure script.
AC_INIT(spmg, 0.1, mmolinero@udc.es)
AC_PREREQ(2.53)
AC_CONFIG_SRCDIR(README)

AUTOMAKE=${AUTOMAKE-"automake-dyalog"}

AM_INIT_AUTOMAKE()

AC_CANONICAL_HOST

AC_DEFINE(_GNU_SOURCE)

# Checks for programs.
AC_PROG_CC
AM_PROG_AS
AC_PROG_INSTALL
AC_PATH_PROGS(PERL, perl)

AC_PROG_LIBTOOL

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_C_INLINE
AC_TYPE_SIZE_T

# Checks for header files.
AC_HEADER_STDC


# Checks for library functions
AC_FUNC_MALLOC
AC_CHECK_FUNCS([memchr regcomp strdup strndup])

# check for DyALog
# also check if it is an installed version or a developpment one
AC_PATH_DYALOG(1.12.0)

PKG_PROG_PKG_CONFIG

# check for mgtools
PKG_CHECK_MODULES(MGTOOLS, mgtools >= 2.2.0)
AC_SUBST(MGTOOLS_CFLAGS)
AC_SUBST(MGTOOLS_LIBS)
AC_SUBST(MGTOOLS_XSLT, "`pkg-config --variable=xsltdir mgtools`")

# check for dyalog-xml
DYALOG_PKG_CHECK_MODULES([DYALOG_XML], dyalog-xml >= 1.0.3 )

# check for dyalog-sqlite
DYALOG_PKG_CHECK_MODULES([DYALOG_SQLITE], dyalog-sqlite >= 1.0.0 )

# www files installation
AC_ARG_WITH(
	modperldir,
	[  --with-modperldir=DIR   path to install mod_perl files],
	execmodperldir=$withval,
	execmodperldir=""
)
AC_SUBST(execmodperldir)
AM_CONDITIONAL(WANT_MODPERL, test "$execmodperldir" != "")

dnl AC_CONFIG_FILES(Makefile spmg.pc po/Makefile.in)
AC_CONFIG_FILES(Makefile spmg.pc)
AC_OUTPUT
